Mir

unity-system-compositor (or any Mir server) crashes on start-up with "Mir fatal error: Failed to schedule page flip" on VirtualBox Graphics Adapter and QEMU

Bug #1584894 reported by Huck-bernhard on 2016-05-23
130
This bug affects 18 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Unassigned
Mir
Fix Released
High
Daniel van Vugt
mir (Ubuntu)
High
Unassigned

Bug Description

(separated from bug 1118903)
unity-system-compositor crashes on start-up with "Mir fatal error: Failed to schedule page flip" on VirtualBox Graphics Adapter

---

can not login to Unity8

ProblemType: Crash
DistroRelease: Ubuntu 16.10
Package: unity-system-compositor 0.4.3+16.04.20160323-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu4
Architecture: amd64
Date: Mon May 23 19:20:43 2016
ExecutablePath: /usr/sbin/unity-system-compositor
GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
InstallationDate: Installed on 2016-05-19 (3 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160519)
ProcCmdline: /usr/sbin/unity-system-compositor --disable-inactivity-policy=true --on-fatal-error-abort --file /run/lightdm-mir-0 --from-dm-fd 12 --to-dm-fd 21 --vt 8
ProcEnviron:

Signal: 6
SourcePackage: unity-system-compositor
StacktraceTop:
 mir::fatal_error_abort(char const*, ...) () from /usr/lib/x86_64-linux-gnu/libmircommon.so.5
 ?? () from /usr/lib/x86_64-linux-gnu/mir/server-platform/graphics-mesa-kms.so.8
 ?? () from /usr/lib/x86_64-linux-gnu/libmirserver.so.38
 ?? () from /usr/lib/x86_64-linux-gnu/libmirserver.so.38
 ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
Title: unity-system-compositor crashed with SIGABRT in mir::fatal_error_abort()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

version.libdrm: libdrm2 2.4.68-1
version.lightdm: lightdm 1.19.0-0ubuntu1
version.mesa: libegl1-mesa-dev N/A

Related branches

Huck-bernhard (huck-bernhard) wrote :

StacktraceTop:
 mir::fatal_error_abort(char const*, ...) (reason=0x7ff08c204a0d "Failed to schedule page flip") at /build/mir-wCwomh/mir-0.21.0+16.04.20160330/src/common/fatal/fatal.cpp:43
 mir::graphics::mesa::DisplayBuffer::post() (this=0x15259b0) at /build/mir-wCwomh/mir-0.21.0+16.04.20160330/src/platforms/mesa/server/kms/display_buffer.cpp:282
 mir::compositor::CompositingFunctor::operator()() (this=0x17769e0) at /build/mir-wCwomh/mir-0.21.0+16.04.20160330/src/server/compositor/multi_threaded_compositor.cpp:143
 operator() () at /usr/include/c++/5/functional:2267
 execute (this=0x7ff084805bf0) at /build/mir-wCwomh/mir-0.21.0+16.04.20160330/src/server/thread/basic_thread_pool.cpp:40

Changed in unity-system-compositor (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
summary: unity-system-compositor crashed with SIGABRT in mir::fatal_error_abort()
+ ["Failed to schedule page flip"]
information type: Private → Public
Changed in mir:
importance: Undecided → High
Changed in mir (Ubuntu):
importance: Undecided → High
Changed in unity-system-compositor (Ubuntu):
importance: Medium → High
summary: - unity-system-compositor crashed with SIGABRT in mir::fatal_error_abort()
- ["Failed to schedule page flip"]
+ unity-system-compositor crashes on start-up with "Mir fatal error:
+ Failed to schedule page flip" on VirtualBox Graphics Adapter

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1118903, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Daniel van Vugt (vanvugt) wrote :

But also, the location where it crashed needs fixing/improving for real hardware too: bug 1489689

no longer affects: unity-system-compositor (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mir (Ubuntu):
status: New → Confirmed
Changed in mir:
status: New → Confirmed
description: updated
Daniel van Vugt (vanvugt) wrote :

I have made this bug separate to bug 1118903 because solving that won't solve this directly. A fallback driver that solves bug 1118903 would not be used as mesa-kms is successfully starting in this case. Just crashing soon after.

tags: added: unity8-desktop
tags: added: vm
Changed in canonical-devices-system-image:
importance: Undecided → High
status: New → Confirmed
summary: unity-system-compositor crashes on start-up with "Mir fatal error:
- Failed to schedule page flip" on VirtualBox Graphics Adapter
+ Failed to schedule page flip" on VirtualBox Graphics Adapter and QEMU
Changed in mir:
assignee: nobody → Daniel van Vugt (vanvugt)
summary: - unity-system-compositor crashes on start-up with "Mir fatal error:
- Failed to schedule page flip" on VirtualBox Graphics Adapter and QEMU
+ unity-system-compositor (or any Mir server) crashes on start-up with
+ "Mir fatal error: Failed to schedule page flip" on VirtualBox Graphics
+ Adapter and QEMU
Changed in mir:
status: Confirmed → In Progress
milestone: none → 0.25.0
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision 3804, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Alberto Mardegan (mardy) wrote :

Thanks Daniel for working on this!

I've tried the silo in zesty, and I still cannot get past a black screen. In the unity8 log I have:

==================
[2016-11-15:09:37:52.997] qtmir.screens: ScreensModel::ScreensModel
[2016-11-15:09:37:53.026] qtmir.mir: MirServer created
[2016-11-15:09:37:53.026] qtmir.mir: Command line arguments passed to Qt: ("unity8", "--mode=full-shell")
[2016-11-15 09:37:53.390037] mirserver: Starting
ERROR: /build/mir-FMihxs/mir-0.24.1+16.10.20160928/src/server/graphics/default_configuration.cpp(132): Throw in function mir::DefaultServerConfiguration::the_graphics_platform()::<lambda()>
Dynamic exception type: boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<std::runtime_error> >
std::exception::what: Exception while creating graphics platform
ERROR: /build/mir-FMihxs/mir-0.24.1+16.10.20160928/src/common/sharedlibrary/shared_library.cpp(65): Throw in function void* mir::SharedLibrary::load_symbol(const char*, const char*) const
Dynamic exception type: boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<std::runtime_error> >
std::exception::what: /usr/lib/x86_64-linux-gnu/mir/server-platform/graphics-mesa-kms.so.11: undefined symbol: create_guest_platform, version MIR_GRAPHICS_PLATFORM_0.24

[2016-11-15:09:38:03.390] ERROR: QMirServer - Mir failed to start
initctl: No such variable: UNITY_MIR_SOCKET
==================

Daniel van Vugt (vanvugt) wrote :

Don't get too excited. Although I fixed the crash you should just expect a black screen in Mir 0.25.0 instead, which is now bug 1639745.

I don't know what that error is you report but doesn't matter. VirtualBox won't give you anything better than a black screen even with Mir 0.25.0. See bug 1639745 at least.

Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package mir - 0.25.0+17.04.20161203-0ubuntu1

---------------
mir (0.25.0+17.04.20161203-0ubuntu1) zesty; urgency=medium

  * New upstream release 0.25.0 (https://launchpad.net/mir/+milestone/0.25.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 42
      . mircommon ABI bumped to 7
      . mirplatform ABI bumped to 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI bumped to 6
      . mircore ABI added, at version 1
    - Enhancements:
      . Added pointer confinement support
      . Identify Raspberry Pi output types correctly
      . Added dead key and compose key support
      . Added gamma support for KMS hardware
      . Added yakkety and zesty gcc-6 support
      . Added surface passthrough support for fullscreen clients of nested
        servers
      . Introduced a new library `libmircore'
      . Began migrating from Protobuf to Cap'n Proto starting with events
      . Began support for VirtualBox (servers now start instead of crashing
        but full support for GL clients is still missing)
      . Began support for high precision frame timing, implemented for the
        KMS, Android and X11 backends so far
      . Added --display-report support for the X11 backend
      . Improved reliability of `mirvanity' latency test tool
      . Moved to using the CSS cursor naming scheme internally, although
        the old symbolic indentifiers remain unchanged and still work
      . Added refresh rate to MirSurfaceOutputEvent
      . Many improvements to automated test quality and coverage
      . Smoother desktop zoom using mir_proving_server (Super + two fingers)
    - Bugs fixed:
      . FTBFS On Zesty: invalid use of
        'struct native_handle' (LP: #1638774)
      . libmirclient-debug-extension-dev install debug/surface.h
        twice (LP: #1639153)
      . Mir crashes on virtual box drmModeCrtcSetGamma
        Function not implemented (LP: #1638220)
      . Flickering in mir_demo_client_multistream (LP: #1635273)
      . Camera apps (camera & vanity) never exit (LP: #1635010)
      . Clients cannot connect when MIR_SOCKET="" (LP: #1634508)
      . mirtest-dev packaging fails to sepcify boost depends (LP: #1633537)
      . cursor.h is unclear about mir_diagonal_resize_* (LP: #1626924)
      . Inconsistent underscores in cursor names (LP: #1632617)
      . [regression] Accidental libmircommon.so.6 break (LP: #1617865)
      . [regression] mir demo server fails to start with mx4 (LP: #1615703)
      . [regression] Trust prompt now shown when starting camera (LP: #1612256)
      . [regression] make abi-check fails to build (LP: #1626866)
      . Nested servers prevent overlays or fullscreen bypass (LP: #1262116)
      . Failed to get PRIME fd from gbm bo (LP: #1607812)
      . Mir-on-X is difficult to use on 1366x768 laptop (LP: #1590959)
      . Remove useless message 'Surface 0 DPI' in demos (LP: #1559831)
      . Mir fails to cross-build with newer sbuild (LP: #1628507)
      . Infinite loop in AbstractShell::focus_next_session (LP: #1625401)
      . Dest...

Read more...

Changed in mir (Ubuntu):
status: Confirmed → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
kevin gunn (kgunn72) on 2017-03-06
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers